package camel_oil

import (
	"context"

	v1 "kami/api/camel_oil/v1"
	"kami/internal/service"
)

func (c *ControllerV1) SubmitOrder(ctx context.Context, req *v1.SubmitOrderReq) (res *v1.SubmitOrderRes, err error) {
	return service.CamelOil().SubmitOrder(ctx, req)
}
